org.encog.ml.prg.opp

## Class ConstMutation

- java.lang.Object
- - org.encog.ml.prg.opp.ConstMutation

- All Implemented Interfaces:
    EvolutionaryOperator

      public class ConstMutation
      extends Object
      implements EvolutionaryOperator

  Mutate the constant nodes of an Encog program. This mutation only changes values and does not alter the structure.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstMutation(EncogProgramContext theContext, double theFrequency, double theSigma)` Construct a const mutator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(EvolutionaryAlgorithm theOwner)` Called to setup the evolutionary operator.
    `int` | `offspringProduced()`
    `int` | `parentsNeeded()`
    `void` | `performOperation(Random rnd, Genome[] parents, int parentIndex, Genome[] offspring, int offspringIndex)` Perform the evolutionary operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstMutation

          public ConstMutation(EncogProgramContext theContext,
                       double theFrequency,
                       double theSigma)

      Construct a const mutator.
      Parameters:
        `theContext` - The program context.
        `theFrequency` - The frequency of mutation.
        `theSigma` - The sigma to use for mutation.

  - ### Method Detail

    - #### init

          public void init(EvolutionaryAlgorithm theOwner)

      Called to setup the evolutionary operator.
      Specified by:
        `init` in interface `EvolutionaryOperator`
      Parameters:
        `theOwner` - The evolutionary algorithm used with this operator.

    - #### offspringProduced

          public int offspringProduced()

      Specified by:
        `offspringProduced` in interface `EvolutionaryOperator`
      Returns:
        The number of offspring produced by this type of crossover.

    - #### parentsNeeded

          public int parentsNeeded()

      Specified by:
        `parentsNeeded` in interface `EvolutionaryOperator`
      Returns:
        The number of parents needed.

    - #### performOperation

          public void performOperation(Random rnd,
                              Genome[] parents,
                              int parentIndex,
                              Genome[] offspring,
                              int offspringIndex)

      Perform the evolutionary operation.
      Specified by:
        `performOperation` in interface `EvolutionaryOperator`
      Parameters:
        `rnd` - A random number generator.
        `parents` - The parents.
        `parentIndex` - The index into the parents array.
        `offspring` - The offspring.
        `offspringIndex` - An index into the offspring array.

Copyright © 2014. All Rights Reserved.